package com.fr.plugin.fg.auth;

import com.fr.cluster.core.ClusterNode;
import com.fr.log.FineLoggerFactory;
import com.fr.scheduler.job.FineScheduleJob;
import com.fr.third.v2.org.quartz.JobExecutionContext;

public class TempAuthSyncJob extends FineScheduleJob {
    @Override
    public void run(JobExecutionContext jobExecutionContext, ClusterNode clusterNode){
        if (FGAuthApi.updateTempAuth()) {
            FineLoggerFactory.getLogger().info("FGAuth：定时任务更新完成······");
        } else {
            FineLoggerFactory.getLogger().info("FGAuth：定时任务更新失败······");
        }
    }
}
